Bug 1559957 - Cannot Remove the VMRC Console Credentials from VMware Provider
Summary: Cannot Remove the VMRC Console Credentials from VMware Provider
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.10.0
Assignee: Aparna Karve
QA Contact: Kedar Kulkarni
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-23 15:53 UTC by Kedar Kulkarni
Modified: 2019-02-07 23:01 UTC (History)
9 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
This release of Red Hat CloudForms corrects an issue whereby VMRC console credentials can be removed from a VMware provider without affecting the ability to save the update to the provider.
Clone Of:
Environment:
Last Closed: 2019-02-07 23:01:18 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:
kkulkarn: automate_bug+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:01:24 UTC

Description Kedar Kulkarni 2018-03-23 15:53:44 UTC
Description of problem:
If we have a VMware provider added with VMRC credentials and then we want to edit the provider and remove VMRC credentials, we cannot save the provider if we remove the credentials. I think we should be able to save the provider regardless of VMRC Console Credentials.

Version-Release number of selected component (if applicable):
Any version which had VMRC Credentials under VMware Provider Add/Edit Form

How reproducible:
100%

Steps to Reproduce:
1.Add VMware Provider with VMRC Console Creds
2.Edit provider and remove VMRC Console creds
3.Try to save

Actual results:
Cannot Save provider, save button is disabled

Expected results:
Should be able to save provider

Additional info:
Not sure if this is a bug or RFE

Comment 9 Kurt Seifried 2018-04-05 19:15:11 UTC
(In reply to Kedar Kulkarni from comment #0)
> Description of problem:
> If we have a VMware provider added with VMRC credentials and then we want to
> edit the provider and remove VMRC credentials, we cannot save the provider
> if we remove the credentials. I think we should be able to save the provider
> regardless of VMRC Console Credentials.
> 
> Version-Release number of selected component (if applicable):
> Any version which had VMRC Credentials under VMware Provider Add/Edit Form
> 
> How reproducible:
> 100%
> 
> Steps to Reproduce:
> 1.Add VMware Provider with VMRC Console Creds
> 2.Edit provider and remove VMRC Console creds
> 3.Try to save
> 
> Actual results:
> Cannot Save provider, save button is disabled
> 
> Expected results:
> Should be able to save provider
> 
> Additional info:
> Not sure if this is a bug or RFE

Can the credentials be changed, just not blanked out and saved as blank?

Please set NEEDINFO against kseifried@redhat.com when replying so I see it, thanks.

Comment 10 CFME Bot 2018-04-12 19:07:34 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/a4e8ef18d9c19ac637a84a301b196e35c03ccc0b
commit a4e8ef18d9c19ac637a84a301b196e35c03ccc0b
Author:     Aparna Karve <akarve@redhat.com>
AuthorDate: Thu Mar 29 14:55:14 2018 -0400
Commit:     Aparna Karve <akarve@redhat.com>
CommitDate: Thu Mar 29 14:55:14 2018 -0400

    For blanked out field that is optional, skip validation

    https://bugzilla.redhat.com/show_bug.cgi?id=1559957

 app/assets/javascripts/directives/validation/reset_validation_status.js | 1 +
 1 file changed, 1 insertion(+)

Comment 13 Kedar Kulkarni 2018-07-02 16:50:38 UTC
On 5.10.0.2 I was able to remove the VMRC Console credentials by editing provider from Compute->Infrastructure->Providers and then console access was barred as credentials were removed.

Comment 14 errata-xmlrpc 2019-02-07 23:01:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.